Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.design
Class JRDesignXyzSeries

    java.lang.Object
      net.sf.jasperreports.charts.base.JRBaseXyzSeries
          net.sf.jasperreports.charts.design.JRDesignXyzSeries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRXyzSeries, JRChangeEventsSupport, JRCloneable

    public class JRDesignXyzSeries

extends JRBaseXyzSeries
implements JRChangeEventsSupport

Version:
  $Id: JRDesignXyzSeries.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_ITEM_HYPERLINK`
`static java.lang.String` | `PROPERTY_SERIES_EXPRESSION`
`static java.lang.String` | `PROPERTY_X_VALUE_EXPRESSION`
`static java.lang.String` | `PROPERTY_Y_VALUE_EXPRESSION`
`static java.lang.String` | `PROPERTY_Z_VALUE_EXPRESSION`

Fields inherited from class net.sf.jasperreports.charts.base.JRBaseXyzSeries
`itemHyperlink, seriesExpression, xValueExpression, yValueExpression, zValueExpression`

Constructor Summary
`JRDesignXyzSeries()`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setItemHyperlink(JRHyperlink itemHyperlink)` Sets the hyperlink specification for chart items.
`void` | `setSeriesExpression(JRExpression seriesExpression)`
`void` | `setXValueExpression(JRExpression xValueExpression)`
`void` | `setYValueExpression(JRExpression yValueExpression)`
`void` | `setZValueExpression(JRExpression zValueExpression)`

Methods inherited from class net.sf.jasperreports.charts.base.JRBaseXyzSeries
`clone, getItemHyperlink, getSeriesExpression, getXValueExpression, getYValueExpression, getZValueExpression`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_ITEM_HYPERLINK

    public static final java.lang.String PROPERTY_ITEM_HYPERLINK

See Also:
  Constant Field Values

### PROPERTY_SERIES_EXPRESSION

    public static final java.lang.String PROPERTY_SERIES_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_X_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_X_VALUE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_Y_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_Y_VALUE_EXPRESSION

See Also:
  Constant Field Values

### PROPERTY_Z_VALUE_EXPRESSION

    public static final java.lang.String PROPERTY_Z_VALUE_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### JRDesignXyzSeries

    public JRDesignXyzSeries()

Method Detail

### setSeriesExpression

    public void setSeriesExpression(JRExpression seriesExpression)

### setXValueExpression

    public void setXValueExpression(JRExpression xValueExpression)

### setYValueExpression

    public void setYValueExpression(JRExpression yValueExpression)

### setZValueExpression

    public void setZValueExpression(JRExpression zValueExpression)

### setItemHyperlink

    public void setItemHyperlink(JRHyperlink itemHyperlink)

  Sets the hyperlink specification for chart items.

  Parameters:
    `itemHyperlink` - the hyperlink specification
  See Also:
    `JRBaseXyzSeries.getItemHyperlink()`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com